org.apache.struts2.views.velocity

## Class VelocityStrutsUtil

- java.lang.Object
- - org.apache.struts2.util.StrutsUtil
  - - org.apache.struts2.views.velocity.VelocityStrutsUtil

-     public class VelocityStrutsUtil
      extends StrutsUtil

  Struts velocity related util.

- - ### Field Summary

    - ### Fields inherited from class org.apache.struts2.util.StrutsUtil

      `classes, LOG, ognl, request, response, stack`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VelocityStrutsUtil(org.apache.velocity.app.VelocityEngine engine, org.apache.velocity.context.Context ctx, ValueStack stack, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `evaluate(String expression)`

    - ### Methods inherited from class org.apache.struts2.util.StrutsUtil

      `bean, buildUrl, findString, findValue, getContext, getText, include, isTrue, makeSelectList, toInt, toLong, toLong, toString, toString, toStringSafe, translateVariables, urlEncode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VelocityStrutsUtil

          public VelocityStrutsUtil(org.apache.velocity.app.VelocityEngine engine,
                                    org.apache.velocity.context.Context ctx,
                                    ValueStack stack,
                                    javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpServletResponse response)

  - ### Method Detail

    - #### evaluate

          public String evaluate(String expression)
                          throws IOException,
                                 org.apache.velocity.exception.ResourceNotFoundException,
                                 org.apache.velocity.exception.MethodInvocationException,
                                 org.apache.velocity.exception.ParseErrorException

      Throws:
        `IOException`
        `org.apache.velocity.exception.ResourceNotFoundException`
        `org.apache.velocity.exception.MethodInvocationException`
        `org.apache.velocity.exception.ParseErrorException`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.